import { FileStat, IMdLinkComputer, IMdParser, ITextDocument, IWorkspace, MdLink } from '@dsanders11/vscode-markdown-languageservice';
import { TextDocument } from 'vscode-languageserver-textdocument';
import { URI } from 'vscode-uri';
export declare class MarkdownParser implements IMdParser {
    slugifier: import("@dsanders11/vscode-markdown-languageservice").ISlugifier;
    tokenize(document: TextDocument): Promise<import("markdown-it/lib/token")[]>;
}
export declare class DocsWorkspace implements IWorkspace {
    #private;
    private readonly documentCache;
    readonly root: string;
    readonly globs: string[];
    readonly ignoreGlobs: string[];
    constructor(root: string, globs: string[], ignoreGlobs?: string[]);
    get workspaceFolders(): URI[];
    getAllMarkdownDocuments(): Promise<Iterable<ITextDocument>>;
    hasMarkdownDocument(resource: URI): boolean;
    openMarkdownDocument(resource: URI): Promise<TextDocument | undefined>;
    stat(resource: URI): Promise<FileStat | undefined>;
    readDirectory(): Promise<Iterable<readonly [string, FileStat]>>;
    onDidChangeMarkdownDocument: import("vscode-languageserver").Event<ITextDocument>;
    onDidCreateMarkdownDocument: import("vscode-languageserver").Event<ITextDocument>;
    onDidDeleteMarkdownDocument: import("vscode-languageserver").Event<URI>;
}
export declare class MarkdownLinkComputer implements IMdLinkComputer {
    #private;
    private readonly workspace;
    constructor(workspace: IWorkspace);
    getAllLinks(document: ITextDocument): Promise<MdLink[]>;
}
